Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties	(revision 1717)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties	(revision 1718)
@@ -1,3 +1,4 @@
 savingP0Annotations=Enregistrement de {0} annotations...
 savingAnnotations=Enregistrement des annotations
-annotationSuccesfullyWrittenIntheP0File=Annotations enregistrées dans le fichier {0}.
\ No newline at end of file
+annotationSuccesfullyWrittenIntheP0File=Annotations enregistrées dans le fichier {0}.
+annotationSuccesfullyWritten=Annotations enregistrées.
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 1717)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 1718)
@@ -1,3 +1,4 @@
 savingP0Annotations=Saving {0} annotations...
 annotationSuccesfullyWrittenIntheP0File=Annotations successfully written in the {0} file.
-savingAnnotations=Saving annotations.
\ No newline at end of file
+savingAnnotations=Saving annotations.
+annotationSuccesfullyWritten=Annotations successfully written.
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1717)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1718)
@@ -171,13 +171,13 @@
 	/**
 	 * Last computing date.
 	 */
-	@Parameter(key=TBXPreferences.LAST_COMPUTING_DATE, type=Parameter.INTERNAL)
+	@Parameter(key=TXMPreferences.LAST_COMPUTING_DATE, type=Parameter.INTERNAL)
 	private Date lastComputingDate;
 
 	/**
 	 * Creation date.
 	 */
-	@Parameter(key=TBXPreferences.CREATION_DATE, type=Parameter.INTERNAL)
+	@Parameter(key=TXMPreferences.CREATION_DATE, type=Parameter.INTERNAL)
 	private Date creationDate;
 	
 	/**
@@ -186,7 +186,6 @@
 	@Parameter(key=TXMPreferences.LOCK, type=Parameter.INTERNAL)
 	protected boolean locked = false;
 	
-
 	/**
 	 * Current computing state.
 	 * True if the result is in the process of computing (is in compute(,) method)
@@ -194,7 +193,6 @@
 	 */
 	protected boolean computing = false;
 
-
 	/**
 	 * Creates a new TXMResult, child of the specified parent.
 	 * @param parent
@@ -227,7 +225,9 @@
 			parent.addChild(this);
 		}
 
-		if (parametersNodePath == null)	{
+		// no parametersNodePath -> new result
+		
+		if (parametersNodePath == null)	{ // new object
 			if (this.getProject() != null) {
 				parametersNodePath = this.getProject().getParametersNodeRootPath();
 			}
@@ -235,15 +235,7 @@
 				parametersNodePath = ""; //$NON-NLS-1$;
 			}
 			
-			// no parametersNodePath -> new result
 			this.parametersNodePath = parametersNodePath + createUUID() + "_" + this.getClass().getSimpleName(); //$NON-NLS-1$;
-			try {
-				this.saveParameter(TBXPreferences.CREATION_DATE, ID_TIME_FORMAT.format(Calendar.getInstance().getTime()));
-			}
-			catch (Exception e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
-			}
 		}
 		else	{
 			this.parametersNodePath = parametersNodePath;
@@ -296,7 +288,17 @@
 		// loads parameters from local result node, current command preferences or default command preferences
 		try {
 			this.autoLoadParametersFromAnnotations(); // auto fill from Parameter annotations
-			this.loadParameters();  // subclasses manual settings
+			this.loadParameters(); // subclasses manual settings
+			
+			try {
+				if (creationDate == null) {
+					creationDate = Calendar.getInstance().getTime();
+					this.saveParameter(TBXPreferences.CREATION_DATE, ID_TIME_FORMAT.format(creationDate));
+				}
+			} catch (Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
 		} catch (Exception e) {
 			Log.severe("Fail to load " + parametersNodePath + "result: " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			Log.printStackTrace(e);
@@ -306,7 +308,6 @@
 		if (this.parent == null)	{
 			Log.finest("Warning: the TXMResult of " + this.getClass() + " is attached to no parent. (uuid = " + this.parametersNodePath + ")"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
-
 	}
 
 	/**
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1717)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1718)
@@ -120,7 +120,6 @@
 			}
 		});
 		
-		
 		// Word properties selector
 		propertiesSelector = new PropertiesSelector<WordProperty>(parametersArea);
 		propertiesSelector.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, true));
